aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/pwgen.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-17 17:38:45 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-17 17:38:45 +1200
commit67afb66eb1a2e7a1f7c912bdeec002de7b25d91d (patch)
tree0701c5da159452f229eb50a8b1f99387b31a01fe /sh/shrc.d/pwgen.sh
parentOnly pull if rebase possible (diff)
downloaddotfiles-67afb66eb1a2e7a1f7c912bdeec002de7b25d91d.tar.gz
dotfiles-67afb66eb1a2e7a1f7c912bdeec002de7b25d91d.zip
Move simple Bash/pdksh functions into POSIX sh
Have only translated the scripts that translate readily into POSIX sh for now. More complex stuff like that bd/pd/sd/ud navigation for Bash doesn't port as easily, mostly because there isn't an analogue for the "local" keyword in POSIX.
Diffstat (limited to 'sh/shrc.d/pwgen.sh')
-rw-r--r--sh/shrc.d/pwgen.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sh/shrc.d/pwgen.sh b/sh/shrc.d/pwgen.sh
new file mode 100644
index 00000000..7ba056e5
--- /dev/null
+++ b/sh/shrc.d/pwgen.sh
@@ -0,0 +1,8 @@
+# Set some defaults for pwgen(1), because its defaults are to give me a long
+# list of relatively short passwords, when I generally want only one good one
+pwgen() {
+ if ! (($#)) ; then
+ set -- --secure -- "${PWGEN_LENGTH:-15}" "${PWGEN_COUNT:-1}"
+ fi
+ command pwgen "$@"
+}